Zum Hauptinhalt springen
GET
/
cms
/
domains
/
2026-03
/
{domainId}
cURL
curl --request GET \
  --url https://api.hubapi.com/cms/domains/2026-03/{domainId} \
  --header 'Authorization: Bearer <token>'
{
  "correctCname": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "domain": "<string>",
  "id": "<string>",
  "isResolving": true,
  "isSslEnabled": true,
  "isSslOnly": true,
  "isUsedForBlogPost": true,
  "isUsedForEmail": true,
  "isUsedForKnowledge": true,
  "isUsedForLandingPage": true,
  "isUsedForSitePage": true,
  "manuallyMarkedAsResolving": true,
  "primaryBlogPost": true,
  "primaryEmail": true,
  "primaryKnowledge": true,
  "primaryLandingPage": true,
  "primarySitePage": true,
  "secondaryToDomain": "<string>",
  "updated": "2023-11-07T05:31:56Z"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

domainId
string
erforderlich

Antwort

successful operation

correctCname
string
erforderlich

The expected CNAME record for the domain.

created
string<date-time>
erforderlich

The date and time when the domain was created.

domain
string
erforderlich

The actual domain or sub-domain. e.g. www.hubspot.com

id
string
erforderlich

The unique ID of this domain.

isResolving
boolean
erforderlich

Whether the DNS for this domain is optimally configured for use with HubSpot.

isSslEnabled
boolean
erforderlich

Indicates whether SSL is enabled for the domain.

isSslOnly
boolean
erforderlich

Indicates whether the domain is accessible only via SSL.

isUsedForBlogPost
boolean
erforderlich

Whether the domain is used for CMS blog posts. Deprecated

isUsedForEmail
boolean
erforderlich

Whether the domain is used for CMS email web pages. Deprecated

isUsedForKnowledge
boolean
erforderlich

Whether the domain is used for CMS knowledge pages. Deprecated

isUsedForLandingPage
boolean
erforderlich

Whether the domain is used for CMS landing pages. Deprecated

isUsedForSitePage
boolean
erforderlich

Whether the domain is used for CMS site pages. Deprecated

manuallyMarkedAsResolving
boolean
erforderlich

Indicates whether the domain has been manually marked as resolving.

primaryBlogPost
boolean
erforderlich

Indicates whether the domain is the primary domain for blog posts.

primaryEmail
boolean
erforderlich

Indicates whether the domain is the primary domain for email pages.

primaryKnowledge
boolean
erforderlich

Indicates whether the domain is the primary domain for knowledge pages.

primaryLandingPage
boolean
erforderlich

Indicates whether the domain is the primary domain for landing pages.

primarySitePage
boolean
erforderlich

Indicates whether the domain is the primary domain for site pages.

secondaryToDomain
string
erforderlich

Specifies the domain to which this domain is secondary.

updated
string<date-time>
erforderlich

The date and time when the domain was last updated.

Last modified on April 9, 2026